<?php

return array
(
	# 表名
	'name' => 'continue',
	# 显示给用户看的名称
	'lang' => '用户复活次数',
	# 是否显示在后台菜单
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '用户id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'user_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户参与id',
			'default' 	=> '',
			'desc' 		=> '用户参与id',
			'match' 	=> 'is_numeric',
			//'list'		=> true,
		),

		'exam_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '活动',
			'default' 	=> '1',
			'desc' 		=> '活动id',
			'match' 	=> 'is_numeric',
			'list'		=> '{exam_id} > 0 ? Dever::load("question/exam-one#name", {exam_id}) : "未知"',
		),

		'num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '复活次数',
			'default' 	=> '0',
			'desc' 		=> '复活次数',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			//'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),
);
