<?php
return array
(
	# 表名
	'name' => 'ranking',
	# 显示给用户看的名称
	'lang' => '积分榜单',
	# 是否显示在后台菜单
	'order' => 1,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'order'		=> 'desc',
			'list_name'	=> '排名',
			'list'		=> '{r}',
		),

		'user_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户参与id',
			'default' 	=> '',
			'desc' 		=> '用户参与id',
			'match' 	=> 'is_numeric',
			//'list'		=> true,
		),

		/*
		'exam_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '活动',
			'default' 	=> '1',
			'desc' 		=> '活动id',
			'match' 	=> 'is_numeric',
			'list'		=> '{exam_id} > 0 ? Dever::load("question/exam-one#name", {exam_id}) : "未知"',
		),
		*/

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '用户',
			'match' 	=> 'is_numeric',
			'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#name", {uid}) : "匿名用户"',
		),

		'score'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '本次分数',
			'default' 	=> '0',
			'desc' 		=> '本次分数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'times'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '答题次数',
			'default' 	=> '0',
			'desc' 		=> '答题次数',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		//'insert' => false,
		'edit' => false,
		'delete' => false,
	),

	'request' => array
	(
		# 获取最新一条的用户信息
		'getTotal' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'exam_id' => 'yes',
				'score' => array('yes', '<'),
				'state' => 1,
			),
			'type' => 'count',
		),
	)
);
